Loading...
Searching...
No Matches
ojph_message.cpp File Reference
`#include <cassert>`
`#include <cstdio>`
`#include <cstdarg>`
`#include <stdexcept>`
`#include "ojph_message.h"`

Go to the source code of this file.

## Namespaces

namespace | ojph

## Functions

OJPH_EXPORT void | ojph::configure_info (message_info *info)
| This overrides the default behaviour of handling info messages.
OJPH_EXPORT message_info * | ojph::get_info ()
| Get the info message object, whose operator() member class is called for info messages – See the macros below.
OJPH_EXPORT void | ojph::set_info_stream (FILE *s)
| Replaces the info output file from the default stdout to user defined output file.
OJPH_EXPORT void | ojph::configure_warning (message_warning *warn)
| This overrides the default behaviour of handling warning messages.
OJPH_EXPORT message_warning * | ojph::get_warning ()
| Get the warning message object, whose operator() member class is called for warning messages – See the macros below.
OJPH_EXPORT void | ojph::set_warning_stream (FILE *s)
| Replaces the warning output file from the default stdout to user defined output file.
OJPH_EXPORT void | ojph::configure_error (message_error *error)
| This overrides the default behaviour of handling error messages.
OJPH_EXPORT message_error * | ojph::get_error ()
| Get the error message object, whose operator() member class is called for error messages – See the macros below.
OJPH_EXPORT void | ojph::set_error_stream (FILE *s)
| Replaces the error output file from the default stderr to user defined output file.
OJPH_EXPORT void | ojph::set_message_level (OJPH_MSG_LEVEL level)
| Sets the minimum severity of the message to be reported.

## Variables

FILE * | ojph::info_stream = stdout
message_info | ojph::info
message_info * | ojph::local_info = &info
OJPH_MSG_LEVEL | ojph::message_level = OJPH_MSG_ALL_MSG
FILE * | ojph::warning_stream = stdout
message_warning | ojph::warn
message_warning * | ojph::local_warn = &warn
FILE * | ojph::error_stream = stderr
message_error | ojph::error
message_error * | ojph::local_error = &error